<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_271) on Thu Apr 01 09:30:37 CEST 2021 -->
<title>FieldConnector</title>
<meta name="date" content="2021-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FieldConnector";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/FieldConnector.html" target="_top">Frames</a></li>
<li><a href="FieldConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.field</div>
<h2 title="Class FieldConnector" class="title">Class FieldConnector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.field.FieldConnector</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FieldConnector</span>
extends java.lang.Object
implements <a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></pre>
<div class="block">class to link Modbus object (Float/DatapointRegister) with <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#fc">fc</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#host">host</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#mbAccess">mbAccess</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Timer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#polltimer">polltimer</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#port">port</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#FieldConnector--">FieldConnector</a></span>()</code>
<div class="block">
 The constructor of the class <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field"><code>FieldConnector</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Ensure that there is one and only one instance of <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field"><code>FieldConnector</code></a></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue</a></span>(<a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a>&nbsp;bdp)</code>
<div class="block">Is executed when the value of the <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue</a></span>(<a href="../../../../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a>&nbsp;fdp)</code>
<div class="block">Is executed when the value of the <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/FieldConnector.html#pushToFieldConnector-java.lang.String-java.lang.String-">pushToFieldConnector</a></span>(java.lang.String&nbsp;label,
                    java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mbAccess">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mbAccess</h4>
<pre>private static&nbsp;<a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a> mbAccess</pre>
</li>
</ul>
<a name="fc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fc</h4>
<pre>private static&nbsp;<a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a> fc</pre>
</li>
</ul>
<a name="polltimer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>polltimer</h4>
<pre>private&nbsp;java.util.Timer polltimer</pre>
</li>
</ul>
<a name="host">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>host</h4>
<pre>private&nbsp;java.lang.String host</pre>
</li>
</ul>
<a name="port">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>port</h4>
<pre>private&nbsp;int port</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FieldConnector--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FieldConnector</h4>
<pre>private&nbsp;FieldConnector()</pre>
<div class="block"><p>
 The constructor of the class <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field"><code>FieldConnector</code></a>.
 </p>
 <p>
 It creates a Modbus connection with the class <a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field"><code>ModbusAccessor</code></a>.
 </p>
 It creates the timer for the polling (polltimer)</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a>&nbsp;getInstance()</pre>
<div class="block">Ensure that there is one and only one instance of <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field"><code>FieldConnector</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>return this instance</dd>
</dl>
</li>
</ul>
<a name="pushToFieldConnector-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pushToFieldConnector</h4>
<pre>private&nbsp;void&nbsp;pushToFieldConnector(java.lang.String&nbsp;label,
                                  java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="onNewValue-ch.hevs.isi.core.FloatDataPoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onNewValue</h4>
<pre>public&nbsp;void&nbsp;onNewValue(<a href="../../../../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a>&nbsp;fdp)</pre>
<div class="block">Is executed when the value of the <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fdp</code> - The <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> where the value changes</dd>
</dl>
</li>
</ul>
<a name="onNewValue-ch.hevs.isi.core.BinaryDataPoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onNewValue</h4>
<pre>public&nbsp;void&nbsp;onNewValue(<a href="../../../../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a>&nbsp;bdp)</pre>
<div class="block">Is executed when the value of the <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bdp</code> - The <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> where the value changes</dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/FieldConnector.html" target="_top">Frames</a></li>
<li><a href="FieldConnector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
